### Hierarchy

- unknown
  - Tradable

## Index

### Constructors

- constructor

### Methods

- clearArbitratorTrade
- clearBuyerAsMakerTrade
- clearBuyerAsTakerTrade
- clearOpenOffer
- clearSellerAsMakerTrade
- clearSellerAsTakerTrade
- clearSignedOffer
- getArbitratorTrade
- getBuyerAsMakerTrade
- getBuyerAsTakerTrade
- getMessageCase
- getOpenOffer
- getSellerAsMakerTrade
- getSellerAsTakerTrade
- getSignedOffer
- hasArbitratorTrade
- hasBuyerAsMakerTrade
- hasBuyerAsTakerTrade
- hasOpenOffer
- hasSellerAsMakerTrade
- hasSellerAsTakerTrade
- hasSignedOffer
- serializeBinary
- setArbitratorTrade
- setBuyerAsMakerTrade
- setBuyerAsTakerTrade
- setOpenOffer
- setSellerAsMakerTrade
- setSellerAsTakerTrade
- setSignedOffer
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Tradable(): Tradable

- Inherited from jspb.Message.constructor

  #### Returns Tradable

## Methods

### clearArbitratorTrade

- clearArbitratorTrade(): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6623

  #### Returns Tradable

### clearBuyerAsMakerTrade

- clearBuyerAsMakerTrade(): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6603

  #### Returns Tradable

### clearBuyerAsTakerTrade

- clearBuyerAsTakerTrade(): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6608

  #### Returns Tradable

### clearOpenOffer

- clearOpenOffer(): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6598

  #### Returns Tradable

### clearSellerAsMakerTrade

- clearSellerAsMakerTrade(): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6613

  #### Returns Tradable

### clearSellerAsTakerTrade

- clearSellerAsTakerTrade(): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6618

  #### Returns Tradable

### clearSignedOffer

- clearSignedOffer(): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6628

  #### Returns Tradable

### getArbitratorTrade

- getArbitratorTrade(): undefined | ArbitratorTrade

- - Defined in src/protobuf/pb_pb.d.ts:6620

  #### Returns undefined | ArbitratorTrade

### getBuyerAsMakerTrade

- getBuyerAsMakerTrade(): undefined | BuyerAsMakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6600

  #### Returns undefined | BuyerAsMakerTrade

### getBuyerAsTakerTrade

- getBuyerAsTakerTrade(): undefined | BuyerAsTakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6605

  #### Returns undefined | BuyerAsTakerTrade

### getMessageCase

- getMessageCase(): Tradable . MessageCase

- - Defined in src/protobuf/pb_pb.d.ts:6630

  #### Returns Tradable . MessageCase

### getOpenOffer

- getOpenOffer(): undefined | OpenOffer

- - Defined in src/protobuf/pb_pb.d.ts:6595

  #### Returns undefined | OpenOffer

### getSellerAsMakerTrade

- getSellerAsMakerTrade(): undefined | SellerAsMakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6610

  #### Returns undefined | SellerAsMakerTrade

### getSellerAsTakerTrade

- getSellerAsTakerTrade(): undefined | SellerAsTakerTrade

- - Defined in src/protobuf/pb_pb.d.ts:6615

  #### Returns undefined | SellerAsTakerTrade

### getSignedOffer

- getSignedOffer(): undefined | SignedOffer

- - Defined in src/protobuf/pb_pb.d.ts:6625

  #### Returns undefined | SignedOffer

### hasArbitratorTrade

- hasArbitratorTrade(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6622

  #### Returns boolean

### hasBuyerAsMakerTrade

- hasBuyerAsMakerTrade(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6602

  #### Returns boolean

### hasBuyerAsTakerTrade

- hasBuyerAsTakerTrade(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6607

  #### Returns boolean

### hasOpenOffer

- hasOpenOffer(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6597

  #### Returns boolean

### hasSellerAsMakerTrade

- hasSellerAsMakerTrade(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6612

  #### Returns boolean

### hasSellerAsTakerTrade

- hasSellerAsTakerTrade(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6617

  #### Returns boolean

### hasSignedOffer

- hasSignedOffer(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:6627

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6632

  #### Returns Uint8Array

### setArbitratorTrade

- setArbitratorTrade(value?: ArbitratorTrade ): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6621

  #### Parameters

  - ##### Optional value: ArbitratorTrade

  #### Returns Tradable

### setBuyerAsMakerTrade

- setBuyerAsMakerTrade(value?: BuyerAsMakerTrade ): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6601

  #### Parameters

  - ##### Optional value: BuyerAsMakerTrade

  #### Returns Tradable

### setBuyerAsTakerTrade

- setBuyerAsTakerTrade(value?: BuyerAsTakerTrade ): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6606

  #### Parameters

  - ##### Optional value: BuyerAsTakerTrade

  #### Returns Tradable

### setOpenOffer

- setOpenOffer(value?: OpenOffer ): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6596

  #### Parameters

  - ##### Optional value: OpenOffer

  #### Returns Tradable

### setSellerAsMakerTrade

- setSellerAsMakerTrade(value?: SellerAsMakerTrade ): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6611

  #### Parameters

  - ##### Optional value: SellerAsMakerTrade

  #### Returns Tradable

### setSellerAsTakerTrade

- setSellerAsTakerTrade(value?: SellerAsTakerTrade ): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6616

  #### Parameters

  - ##### Optional value: SellerAsTakerTrade

  #### Returns Tradable

### setSignedOffer

- setSignedOffer(value?: SignedOffer ): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6626

  #### Parameters

  - ##### Optional value: SignedOffer

  #### Returns Tradable

### toObject

- toObject(includeInstance?: boolean): Tradable . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6633

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Tradable . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6636

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Tradable

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Tradable, reader: BinaryReader): Tradable

- - Defined in src/protobuf/pb_pb.d.ts:6637

  #### Parameters

  - ##### message: Tradable

  - ##### reader: BinaryReader

  #### Returns Tradable

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Tradable, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6635

  #### Parameters

  - ##### message: Tradable

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Tradable ): Tradable . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6634

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Tradable

  #### Returns Tradable . AsObject

Generated using TypeDoc